Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class RevDetails

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.RevDetails

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RevDetails
extends ASN1Object

RevDetails ::= SEQUENCE { certDetails CertTemplate, -- allows requester to specify as much as they can about -- the cert. for which revocation is requested -- (e.g., for cases in which serialNumber is not available) crlEntryDetails Extensions OPTIONAL -- requested crlEntryExtensions }

Constructor Summary
`RevDetails(CertTemplate certDetails)`
`RevDetails(CertTemplate certDetails, Extensions crlEntryDetails)`
`RevDetails(CertTemplate certDetails, X509Extensions crlEntryDetails)` Deprecated. use method taking Extensions

Method Summary
`CertTemplate` | `getCertDetails()`
`Extensions` | `getCrlEntryDetails()`
`static RevDetails` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevDetails

    public RevDetails(CertTemplate certDetails)

### RevDetails

    public RevDetails(CertTemplate certDetails,
                      X509Extensions crlEntryDetails)

  Deprecated. use method taking Extensions

Parameters:
  `certDetails` -
  `crlEntryDetails` -

### RevDetails

    public RevDetails(CertTemplate certDetails,
                      Extensions crlEntryDetails)

Method Detail

### getInstance

    public static RevDetails getInstance(java.lang.Object o)

### getCertDetails

    public CertTemplate getCertDetails()

### getCrlEntryDetails

    public Extensions getCrlEntryDetails()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD